POST
/auth/sessionsCreate a member session
Exchanges mock credentials for a short-lived member access token and a refresh token.
Send request
Use the documented inputs to call this endpoint directly.
API serverbase URL
Request body
application/jsonrequiredemailstring · emailrequired
passwordstring · passwordrequired
device_namestringoptional
Responses
201application/json
Session created.
{
"id": "ses_01J8F0ZK3E9X",
"access_token": "heyo_demo_01J8F2X6ZJ5Q3F7A4K9N",
"refresh_token": "refresh_demo_01J8F0ZK3E9X",
"expires_at": "2026-09-03T14:40:12Z",
"member": {
"id": "mem_01J8F3D2P9Q7V6N5M4K",
"email": "mira@northstar.example",
"role": "admin"
}
}idstringoptional
access_tokenstringoptional
refresh_tokenstringoptional
expires_atstring · date-timeoptional
memberobjectoptional
401application/json
Credentials were rejected.
{
"error": {
"code": "validation_failed",
"message": "One or more fields need attention.",
"details": [
{
"path": "name",
"code": "too_short",
"message": "Use at least 3 characters."
}
]
},
"request_id": "req_01J8F6C4YTP8B2S9QK1M"
}errorrequired
request_idstringrequired
429
Too many sign-in attempts.
Powered by heyo-docs